<?php

//ini_set("display_errors",1);

session_start();

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}

require_once ("../../config/Cado.php");



require_once ("../empresa/cEmpresa.php");

$oEmpresa = new cEmpresa();

require_once ("cVenta.php");

$oVenta = new cVenta();

require_once ("../cliente/cCliente.php");

$oCliente = new cCliente();



require_once ("../impresora/cImpresora.php");

$oImpresora = new cImpresora();



require_once("../formatos/formato.php");

require_once("../formatos/numletras.php");



$dts=$oEmpresa->mostrarUno($_SESSION['empresa_id']);

$dt = mysql_fetch_array($dts);

    $emp_ruc=$dt['tb_empresa_ruc'];

    $emp_nomcom=$dt['tb_empresa_nomcom'];

    $emp_razsoc=$dt['tb_empresa_razsoc'];

    $emp_dir=$dt['tb_empresa_dir'];

    $emp_dir2=$dt['tb_empresa_dir2'];

    $emp_tel=$dt['tb_empresa_tel'];

    $emp_ema=$dt['tb_empresa_ema'];

    $emp_fir=$dt['tb_empresa_fir'];     

mysql_free_result($dts);



if($emp_ruc==0)$emp_ruc="";



//impresora



$dts=$oImpresora->mostrarUno(1);

$dt = mysql_fetch_array($dts);

    $imp_nom    =$dt['tb_impresora_nom'];

    $imp_nomloc =$dt['tb_impresora_nomloc'];

    $imp_ser    =$dt['tb_impresora_ser'];

    $imp_url    =$dt['tb_impresora_url'];

    $imp_ip     =$dt['tb_impresora_ip'];

mysql_free_result($dts);





//------------impresion

$data['imp_nom']    =$imp_nom;

$data['imp_nomloc'] =$imp_nomloc;

$data['imp_ser']    =$imp_ser;

$data['imp_url']    =$imp_url;

$data['imp_ip']     =$imp_ip;



//documento a imprimir

//if($doc_nom=='FACTURA')$archivo_destino='venta/venta_imppos_factura.php';

//if($doc_nom=='BOLETA')$archivo_destino='venta/venta_imppos_boleta.php';

//if($doc_nom=='PROFORMA')$archivo_destino='venta/venta_imppos_proforma.php';

$archivo_destino='/ventareporte/venta_det_imppos_ticket.php';



$data['imp_doc']    =$imp_url.$archivo_destino;



$data['emp_razsoc'] =$emp_razsoc;

$data['emp_ruc']    =$emp_ruc;

$data['emp_dir1']   =$emp_dir;

$data['emp_dir2']   =$emp_dir2;



if($_POST['hdd_fil_cli_id']!=""){

  $dts1=$oVenta->mostrar_filtro_detalle_adm(fecha_mysql($_POST['txt_fil_ven_fec1']),fecha_mysql($_POST['txt_fil_ven_fec2']),$_POST['cmb_fil_ven_doc'],'',$cat_ids,$_POST['hdd_fil_cli_id'],$_POST['cmb_fil_ven_est'],$_POST['cmb_fil_ven_ven'],$_POST['cmb_fil_ven_punven'],$_SESSION['empresa_id'],$_POST['chk_fil_ven_may']);

  $num_rows= mysql_num_rows($dts1);

}



$dts=$oCliente->filtrar($_POST['hdd_fil_cli_id']);

$dt = mysql_fetch_array($dts);

    $data['cli_nom']=$dt['tb_cliente_nom'];

    $data['cli_numdoc']=$dt['tb_cliente_doc'];

mysql_free_result($dts);



$data['fec1']=$_POST['txt_fil_ven_fec1'];

$data['fec2']=$_POST['txt_fil_ven_fec2'];



while($dt1 = mysql_fetch_array($dts1)){

    $sub_total=$dt1['tb_ventadetalle_valven']+$dt1['tb_ventadetalle_igv'];

    $total_ventas   +=$sub_total;



    $data['ven_fec'][]=mostrarFecha($dt1['tb_venta_fec']);

    $data['ven_cod'][]=$dt1['tb_documento_abr'].' '.$dt1['tb_venta_numdoc'];



    $data['ven_can'][]=intval($dt1['tb_ventadetalle_can']);

    $data['ven_art'][]=$dt1['tb_producto_nom'];

    $data['ven_subtot'][]=formato_money($sub_total);

}



$data['total']=formato_money($total_ventas);



mysql_free_result($dts1);





echo json_encode($data);



function sanear_string($string)

{

 

    $string = trim($string);

 

    $string = str_replace(

        array('á', 'à', 'ä', 'â', 'ª', 'Á', 'À', 'Â', 'Ä'),

        array('a', 'a', 'a', 'a', 'a', 'A', 'A', 'A', 'A'),

        $string

    );

 

    $string = str_replace(

        array('é', 'è', 'ë', 'ê', 'É', 'È', 'Ê', 'Ë'),

        array('e', 'e', 'e', 'e', 'E', 'E', 'E', 'E'),

        $string

    );

 

    $string = str_replace(

        array('í', 'ì', 'ï', 'î', 'Í', 'Ì', 'Ï', 'Î'),

        array('i', 'i', 'i', 'i', 'I', 'I', 'I', 'I'),

        $string

    );

 

    $string = str_replace(

        array('ó', 'ò', 'ö', 'ô', 'Ó', 'Ò', 'Ö', 'Ô'),

        array('o', 'o', 'o', 'o', 'O', 'O', 'O', 'O'),

        $string

    );

 

    $string = str_replace(

        array('ú', 'ù', 'ü', 'û', 'Ú', 'Ù', 'Û', 'Ü'),

        array('u', 'u', 'u', 'u', 'U', 'U', 'U', 'U'),

        $string

    );

 

    $string = str_replace(

        array('ñ', 'Ñ', 'ç', 'Ç'),

        array('n', 'N', 'c', 'C',),

        $string

    );

 

    //Esta parte se encarga de eliminar cualquier caracter extraño

    /*$string = str_replace(

        array("\", "¨", "º", "-", "~",

             "#", "@", "|", "!", """,

             "·", "$", "%", "&", "/",

             "(", ")", "?", "'", "¡",

             "¿", "[", "^", "<code>", "]",

             "+", "}", "{", "¨", "´",

             ">", "< ", ";", ",", ":",

             ".", " "),

        '',

        $string

    );*/

  

    return $string;

}

?>